org.mozilla.javascript.tools.debugger

## Interface ScopeProvider

-     public interface ScopeProvider

  Interface to provide a scope object for script evaluation to the debugger.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Scriptable` | `getScope()` Returns the scope object to be used for script evaluation.

- - ### Method Detail

    - #### getScope

          Scriptable getScope()

      Returns the scope object to be used for script evaluation.